## textedit.app 5.0

=== debian/changelog ===
textedit.app (5.0-3) unstable; urgency=medium

  * debian/rules (override_dh_auto_build): Invoke icns2png with --size
    128 as 48 does not extract any icon; fixes FTBFS (Closes: #1050767).
    Use $(verbose) to support "terse" in DEB_BUILD_OPTIONS.
    (override_dh_link): Invoke gsdh_gnustep instead of dh_gnustep so
    that lintian does not complain of missing build-dependency.
    (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed; now default.
  * debian/control: Run wrap-and-sort -bast.
    (Build-Depends): Switch to the debhelper-compat mechanism; bump compat
    level to 13.  Drop gnustep-make.
    (Depends): Remove ${gnustep:Depends}; obsolete.
    (Uploaders): Update Gürkan's email address.
    (Rules-Requires-Root): Set to "no".
    (Standards-Version): Claim compliance with 4.6.2; no changes needed.
  * debian/compat: Delete.
  * debian/patches/migrate-defaults.patch: Delete; was only needed to ease
    migration of defaults from version 4.0+ to 5.0.
  * debian/maintscript: Delete; no longer needed.
  * debian/copyright: Update (Debian packaging) copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 30 Aug 2023 21:43:28 +0300

textedit.app (5.0-2) unstable; urgency=medium

  * debian/maintscript: New file, replace Resources directory with a
    symlink (Closes: #890070).
  * debian/patches/migrate-defaults.patch: New; fix exception with
    existing defaults when the PlainTextEncoding key is set to the old
    (4.0) value type.
  * debian/patches/ftbfs-hurd.patch: New; fix FTBFS on GNU/Hurd by
    removing unnecessary string truncation.
  * debian/patches/fix-info-plist: Add patch description.
  * debian/patches/series: Update.
  * debian/menu: Get rid as per Policy requirement.
  * debian/control (Uploaders): Add myself as agreed with Gürkan.
    (Build-Depends): Add icnsutils for extracting the .png icon.  Require
    gnustep-make >= 2.7.0-3 for the optim variable definition.
    (Vcs-Git, Vcs-Browser): New fields.
    (Conflicts, Replaces): Remove; ancient.
  * debian/rules: Enable all hardening.  Remove optim definition.
    (override_dh_auto_build): Extract a .png icon from the .icns for the
    .desktop file.  Replace $(MAKE) with dh_auto_build so that buildds'
    configuration for parallel building is taken into account.
  * debian/install: Install the .png icon.
  * debian/clean: New file; delete the generated icon.
  * debian/TextEdit.desktop: Use the new icon; Edit.tiff doesn't exist.
    Add Keywords field and Bulgarian translations.  Remove Version field
    as it makes the file invalid.
  * debian/copyright: Convert to format 1.0, add full text of Apple's new
    license, add Debian packaging copyright holders.
  * debian/README.Debian: New file, document workaround for setting plain
    text format as default.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 12 Feb 2018 22:40:02 +0200

textedit.app (5.0-1) unstable; urgency=medium

  * New upstream version.
  * Bump debhelper version to 11. (Closes: #817691)
  * Bump standards version to 4.1.3.
  * Update my name.
  * debian/control: change section to gnustep.
  * Add myself to Uploaders and the GNUstep team to Maintainers.

 -- Gürkan Myczko <gurkan@phys.ethz.ch>  Thu, 08 Feb 2018 21:05:25 +0100

textedit.app (4.0+20061029-3.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump debhelper version. Closes: #817691.
  * Fix lintian warnings.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 02 Sep 2016 09:13:46 +0200

textedit.app (4.0+20061029-3.4) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    - Maintainer email address was invalid and bounced. Update it to
      use a valid address. (Closes: #675220)

 -- Markus Koschany <apo@gambaru.de>  Wed, 12 Sep 2012 15:49:59 +0200

textedit.app (4.0+20061029-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Can't create a new document." Applied patch from Yavor Doganov
    (Closes: #660430)

 -- Bastian Venthur <venthur@debian.org>  Mon, 06 Aug 2012 10:26:36 +0200

textedit.app (4.0+20061029-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with GCC-4.7": apply patch from Yavor Doganov.
    (Closes: #667886)

 -- gregor herrmann <gregoa@debian.org>  Mon, 28 May 2012 15:42:09 +0200

textedit.app (4.0+20061029-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use AppKit.h instead of particular .h includes (Closes: #581986).

 -- Luk Claes <luk@debian.org>  Tue, 24 Aug 2010 12:45:31 +0000

textedit.app (4.0+20061029-3) unstable; urgency=low

  * Upload to sid.
  * debian/control: Moved homepage field.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 12 Oct 2007 10:17:21 +0200

textedit.app (4.0+20061029-2) experimental; urgency=low

  * GNUstep transition.
    + Updated debian/rules.
    + Updated debian/dirs.
  * Menu transition: Moved from Apps/Editors to Applications/Editors.
  * Added a desktop file.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 03 Aug 2007 21:42:22 +0200

textedit.app (4.0+20061029-1) unstable; urgency=low

  * New upstream version, fixes Info/Preferences.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 29 Oct 2006 12:06:04 +0100

textedit.app (4.0-3) unstable; urgency=low

  * Rebuild against latest libgnustep-gui-dev.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Fri, 15 Sep 2006 17:44:32 +0200

textedit.app (4.0-2) unstable; urgency=low

  * Rebuild against latest libgnustep-gui.
  * Bump standards version.
  * Update manual page.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 23 Jan 2006 11:00:32 +0100

textedit.app (4.0-1) unstable; urgency=low

  * New upstream cvs checkout version.
  * Renamed source package to textedit.app.
  * Updated manual page.
  * Updated debian/control build-depends for GNUstep 0.9.4.
  * Cleaned up debian/rules.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 28 Nov 2004 18:29:23 +0100

textedit (4-4) unstable; urgency=high

  * Fixed the typo app-wrapper symlink in debian/rules


