=== debian/control ===
Source: textedit.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Gürkan Myczko <tar@debian.org>,
 Yavor Doganov <yavor@gnu.org>,
Build-Depends:
 debhelper-compat (= 13),
 icnsutils,
 libgnustep-gui-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/ericwa/TextEdit
Vcs-Git: https://salsa.debian.org/gnustep-team/textedit.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/textedit.app

Package: textedit.app
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 aspell,
Description: Text editor for GNUstep
 TextEdit is a relatively basic text editor. It handles plain text, RTF, and
 RTFD  has a nice "Wrap to Page" mode, has search/replace functionality, and
 can display any file as text.
